var _ws = null;


function onConnect() {
	
	if (!Modernizr.websockets) {
		alert("Your browser doesn't support WebSockets");	
		return;
	}
	_ws = new WebSocket("ws://echo.websocket.org");
	_ws.addEventListener("open", onOpened, false);
	_ws.addEventListener("message", onMessageReceived, false);
	_ws.addEventListener("close", onClosed, false);
	_ws.addEventListener("error", onError, false);
}

function onDisconnect() {

	if (!Modernizr.websockets) {
		alert("Your browser doesn't support WebSockets");	
		return;
	}
	
	if (_ws != null && _ws.readyState == 1)
		_ws.close();
}

function onSend() {

	if (!Modernizr.websockets) {
		alert("Your browser doesn't support WebSockets");	
		return;
	}
	
	if (_ws != null && _ws.readyState == 1)
		_ws.send(document.getElementById("input").value);
}

function onOpened(e) {
    $('#connectionStatus').html('<span id="bold">Connected</span>');
	document.getElementById("sendButton").disabled = false;
	document.getElementById("connectButton").disabled = true;
	document.getElementById("disconnectButton").disabled = false;
}

function onMessageReceived(e) {
	var ta = document.getElementById("output");
	ta.innerHTML = ta.innerHTML + e.data + "\r\n";
}

function onClosed(e) {
	$('#connectionStatus').html('<span id="bold">Disconnected</span>');
	document.getElementById("sendButton").disabled = true;
	document.getElementById("connectButton").disabled = false;
	document.getElementById("disconnectButton").disabled = true;

	_ws.removeEventListener("open", onOpened, false);
	_ws.removeEventListener("message", onMessageReceived, false);
	_ws.removeEventListener("close", onClosed, false);
	_ws.removeEventListener("error", onError, false);

	_ws = null;
}

function onError(err) {
	alert(err.message);
}